package com.ibiz.core.external.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.external.domain.CPXH;
import com.ibiz.core.external.filter.CPXHSearchContext;

/**
 * 实体[CPXH] 服务对象接口
 */

public interface ICPXHService{
     boolean create(CPXH cpxh) ;
     boolean update(CPXH cpxh) ;
     CPXH getDraft(CPXH cpxh) ;
     boolean remove(String cpxhid) ;
     boolean checkKey(CPXH cpxh) ;
     boolean save(CPXH cpxh) ;
     CPXH get(String cpxhid) ;
     CPXH get(CPXH cpxh) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<CPXH> searchDefault(CPXHSearchContext context) ;

}
